<?php get_header(); ?>

	<section id="more-content" class="content-area">
		<main id="main" class="site-main" role="main" <?php hybrid_attr( 'content' ); ?>>

		<?php if ( have_posts() ) : ?>

			<header class="page-header" <?php hybrid_attr( 'loop-meta' ); ?>>
				<h1 class="page-title" <?php hybrid_attr( 'loop-title' ); ?>>
					<?php
						if ( is_category() ) :
							single_cat_title();

						elseif ( is_tag() ) :
							single_tag_title();

						elseif ( is_author() ) :
							printf( __( 'Author: %s', 'videoz' ), '<span class="vcard">' . get_the_author() . '</span>' );

						elseif ( is_day() ) :
							printf( __( 'Day: %s', 'videoz' ), '<span>' . get_the_date() . '</span>' );

						elseif ( is_month() ) :
							printf( __( 'Month: %s', 'videoz' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'videoz' ) ) . '</span>' );

						elseif ( is_year() ) :
							printf( __( 'Year: %s', 'videoz' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'videoz' ) ) . '</span>' );

						elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
							_e( 'Asides', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
							_e( 'Galleries', 'videoz');

						elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
							_e( 'Images', 'videoz');

						elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
							_e( 'Videos', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
							_e( 'Quotes', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
							_e( 'Links', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
							_e( 'Statuses', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
							_e( 'Audios', 'videoz' );

						elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
							_e( 'Chats', 'videoz' );

						else :
							_e( 'Archives', 'videoz' );

						endif;
					?>
				</h1>
				<?php
					// Show an optional term description.
					$term_description = term_description();
					if ( ! empty( $term_description ) ) :
						printf( '<div class="taxonomy-description">%s</div>', $term_description );
					endif;
				?>
			</header><!-- .page-header -->

			<div class="recent-content clearfix">

				<?php $i = 0; ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php
					$class = '';
					if ( ++$i % 3 === 0 ) {
						$class = 'last-post';
					}
					?>

					<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?> <?php hybrid_attr( 'post' ); ?>>

						<?php $video = hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true, 'width' => 960 ) ); ?>
						
						<?php if ( $video ) : ?>
						<a class="venobox" data-type="inline" href="#entry-video-<?php the_ID(); ?>">
						<?php endif; ?>
							<?php if ( has_post_thumbnail() ) : ?>
								<?php the_post_thumbnail( 'videoz-thumb', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
							<?php endif; ?>
							<div class="overlay">
								<span class="play-button"><i class="fa fa-play"></i></span>
							</div>
						<?php if ( $video ) : ?>
						</a>
						<?php endif; ?>
						
						<?php if ( $video ) : ?>
							<div id="entry-video-<?php the_ID(); ?>" style="display: none;"><?php echo $video; ?></div>
						<?php endif; ?>

						<div class="hentry-bottom clearfix">
							
							<div class="entry-meta">

								<?php if ( 'post' == get_post_type() ) : ?>
									<?php
										$categories_list = get_the_category();
										if ( $categories_list && videoz_categorized_blog() ) :
									?>
										<?php foreach( $categories_list as $category ) : ?>
											<span class="entry-category" <?php hybrid_attr( 'entry-terms', 'category' ); ?>>
												<a href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>"><i class="fa fa-circle-o"></i><?php echo esc_attr( $category->name ); ?></a>
											</span>
										<?php endforeach; ?>
									<?php endif; // End if categories. ?>
								<?php endif;?>

							</div>

							<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

							<div class="byline">
								<time class="entry-date updated" datetime="<?php echo esc_html( get_the_date( 'c' ) ); ?>" <?php hybrid_attr( 'entry-published' ); ?>><span><?php echo esc_html( get_the_date() ); ?></span></time>
								<span class="entry-separator">|</span>
								<span class="entry-view"><?php echo do_shortcode( '[entry-views after="' . __( ' Views', 'videoz' ) . '"]' ); ?></span>						
							</div>

						</div>
						
					</article><!-- #post-## -->

					<?php if ( $i % 3 === 0 ) echo '<div class="clearfix"></div>'; ?>

				<?php endwhile; ?>

			</div><!-- .recent-content -->

			<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>