<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>
	
	<?php $video = hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
	
	<?php if ( $video ) : ?>
		<div class="player-wrapper"><?php echo $video; ?></div>
	<?php endif; ?>

	<?php the_title( '<h1 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '>', '</h1>' ); ?>

	<div class="post-details clearfix">
		
		<div class="entry-meta">
			<?php if ( 'post' == get_post_type() ) : ?>
				<?php
					$categories_list = get_the_category();
					if ( $categories_list && videoz_categorized_blog() ) :
				?>
					<?php foreach( $categories_list as $category ) : ?>
						<span class="entry-category" <?php hybrid_attr( 'entry-terms', 'category' ); ?>>
							<a href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>"><i class="fa fa-circle-o"></i><?php echo esc_attr( $category->name ); ?></a>
						</span>
					<?php endforeach; ?>
				<?php endif; // End if categories. ?>
			<?php endif;?>
		</div>

		<div class="byline">
			<span class="entry-author author vcard by-author" <?php hybrid_attr( 'entry-author' ) ?>><?php printf( __( 'by <a class="url fn n" href="%1$s" itemprop="url"><span itemprop="name">%2$s</span></a>', 'videoz' ), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ) ); ?></span>
			<time class="entry-date updated" datetime="<?php echo esc_html( get_the_date( 'c' ) ); ?>" <?php hybrid_attr( 'entry-published' ); ?>><span><?php printf( __( 'on %s', 'videoz' ), esc_html( get_the_date() ) ); ?></span></time>
			<span class="entry-separator">|</span>
			<span class="entry-view"><?php echo do_shortcode( '[entry-views after="' . __( ' Views', 'videoz' ) . '"]' ); ?></span>
			<span class="entry-separator">|</span>
			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
				<span class="entry-comment by-comment"><?php comments_popup_link( __( '0 Comment', 'videoz' ), __( '1 Comment', 'videoz' ), __( '% Comments', 'videoz' ) ); ?></span>
			<?php endif; ?>
			<span class="entry-separator">|</span>
		</div>

		<?php if(function_exists('the_ratings')) { the_ratings(); } ?>

	</div>

	<div class="entry-content" <?php hybrid_attr( 'entry-content' ); ?>>
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'videoz' ),
				'after'  => '</div>',
			) );
		?>
		<?php edit_post_link( __( 'Edit', 'videoz' ), '<span class="edit-link">', '</span>' ); ?>

		<?php
			$tag_list = get_the_tag_list();
			if ( $tag_list ) : 
		?>
			<div class="entry-tags" <?php hybrid_attr( 'entry-terms', 'post_tag' ); ?>><?php echo $tag_list; ?></div>
		<?php endif; ?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php videoz_social_share(); // Get the social share. ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->

<?php videoz_post_author(); // Display the post author informations. ?>